model NonLinearResistor1 
  extends Modelica.Electrical.Analog.Interfaces.OnePort;
  parameter Real a = 1;
  parameter Real b = 1;
equation 
  i=a*tanh(b*v);
  annotation (Icon(
      Rectangle(extent=[-70,30; 70,-30],   style(
          color=3,
          fillColor=7,
          fillPattern=1)),
      Text(extent=[-100,40; 100,100],   string="%name"),
      Line(points=[-90,0; -70,0]),
      Line(points=[70,0; 90,0]),
      Line(points=[0,30; 0,-30], style(
          color=3,
          rgbcolor={0,0,255},
          pattern=3)),
      Line(points=[-70,0; 70,0], style(
          color=3,
          rgbcolor={0,0,255},
          pattern=3)),
      Line(points=[-64,-28; -34,-26; -22,-24; -12,-20; -4,-10; 2,8; 8,20; 18,24;
            32,26; 64,28], style(
          color=0,
          rgbcolor={0,0,0},
          pattern=2,
          thickness=2))),
    Commands(file="TestNonLinear.mos" "TestNonLinear"));
end NonLinearResistor1;
